#ifndef TOOLBOX_H_
#define TOOLBOX_H_

#include <QFont>

class QLabel;

//! UserInterface class. Provides reusable functions for component creation.
/*!
 * UserInterface class. Provides reusable functions for component creation.
 */
class ToolBox
{
public:
	//! Creates a label.
	/*!
	 * Creates a label based on the specified text and font type.
	 * \param aText The text being shown in the label.
	 * \param aFont The font being used to specify the text.
	 */
	static QLabel* createLabel( const QString &aText, const QFont &aFont );

};

#endif /*TOOLBOX_H_*/
