#include <QtTest/QtTest>
#include "ConnectionSettings.h"

class TestConnectionSettings: public QObject
{
	Q_OBJECT

private slots:
	/*!
	 * \function initTestCase is executed before testcase
	 */
	void initTestCase();
	/*!
	 * \function init is executed before individual test
	 */
	void init();
	/*!
	 *
	 * \function cleanup is executed after individual test
	 */
	void cleanup();

	/*!
	 * test for server url
	 */
	void testServerUrl();
	/*!
	 * test for username
	 */
	void testUsername();

	/*!
	 * test for password
	 */
	void testPassword();

	/*!
	  * test for refresh interval
	  */
	void testInterval();

	/*!
	 * \function cleanupTestCase is executed after testcase
	 */
	void cleanupTestCase();

private:
	ConnectionSettings *iConnection;

};
